LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 10-04-2012, 09:08 AM   #1
lkraemer
Member
 
Registered: Aug 2008
Posts: 111

Rep: Reputation: 10
wxWidgets Error while building Filezilla 3.5.3


I've download the dependency and Filezilla. I've built the Object module
for wxPython (2.8.12.1) and copied it into the Filezilla Folder. When I try to build Filezilla I am getting the following error.

Quote:
checking for wx-config... no
configure: error:
wxWidgets must be installed on your system
but either the wx-config script couldn't be found or
no compatible wxWidgets configuration has been insalled.

Compatible wxWidgets configurations are the unicode builds
of wxGTK, wxMac and wxMSW.

Please check that wx-config is in path, the directory
where wxWidgets libraries are installed (returned by
'wx-config --libs' command) is in LD_LIBRARY_PATH or
equivalent variable and wxWidgets version is 2.8.12 or above.
wxWidgets isn't located in Slackbuilds.org! How do I locate it so I can continue the build of Filezilla?

Thanks.

Larry
 
Old 10-04-2012, 09:21 AM   #2
yilez
Member
 
Registered: Apr 2004
Distribution: Slackware
Posts: 122

Rep: Reputation: Disabled
wxPython and wxGTK are wxWidgets. This looks like it is after wxGTK in particular, but it will confilct with wxPython. I would uninstall wxPython, install wxGTK and try again.
 
Old 10-04-2012, 09:21 AM   #3
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 2,496

Rep: Reputation: 912Reputation: 912Reputation: 912Reputation: 912Reputation: 912Reputation: 912Reputation: 912Reputation: 912
reading here http://slackbuilds.org/repository/14...ork/filezilla/

the only dependency of filezilla is wxPython http://slackbuilds.org/repository/14...ries/wxPython/

so you have to build/install wPython and then build filezilla.
 
Old 10-04-2012, 09:23 AM   #4
yilez
Member
 
Registered: Apr 2004
Distribution: Slackware
Posts: 122

Rep: Reputation: Disabled
Wait, I just read your post again, and had a look at the slackbuild. Did you build wxPython (with ./wxPython.SlackBuild) then install it with (installpkg /tmp/wxpython....)?
 
Old 10-04-2012, 09:39 AM   #5
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 2,619

Rep: Reputation: 444Reputation: 444Reputation: 444Reputation: 444Reputation: 444
Actually, it can be one of them.
I don't have wxPython on my system, but i do have wxGTK installed and it builds fine
 
Old 10-04-2012, 10:31 AM   #6
yilez
Member
 
Registered: Apr 2004
Distribution: Slackware
Posts: 122

Rep: Reputation: Disabled
yeah, I just tried it with wxGTK. The way the OP says "I've built the Object module for wxPython (2.8.12.1) and copied it into the Filezilla Folder", I think he is doing it wrong.

Instead of installing http://slackbuilds.org/result/?search=wxpython&sv=14.0 and then trying to install filezilla, I think he is downloading the source for wxpython, making it and then copying the object to the filezilla slackbuild and then trying to build it.
 
Old 10-04-2012, 03:35 PM   #7
lkraemer
Member
 
Registered: Aug 2008
Posts: 111

Original Poster
Rep: Reputation: 10
yiles,
Quote:
Instead of installing http://slackbuilds.org/result/?search=wxpython&sv=14.0 and then trying to install filezilla, I think he is downloading the source for wxpython, making it and then copying the object to the filezilla slackbuild and then trying to build it.
That is exactly what I tried to do.....as a newbie to Slackware.

I will try installing wxPython with "installpkg /tmp/wxPython-2.8.12.1-i486-1_SBo.tgz", and then try to build Filezilla.
I am new to Slackware, and that is a major problem for me.

Thanks, It worked just fine..............

Quote:
Slackware package /tmp/filezilla-3.5.3-i486-1_SBo.tgz created.

Executing install script for filezilla-3.5.3-i486-1_SBo.tgz.
Package filezilla-3.5.3-i486-1_SBo.tgz installed.

Larry
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Filezilla wxString Error Stragonian Slackware - Installation 1 10-26-2011 11:03 PM
Fedora 10 install via Windows XP filezilla ftp server; ftp Url error in kickstart O(V)eGA_l2el) Fedora 2 09-28-2009 10:40 AM
FileZilla DinaMandrake Linux - Newbie 4 12-02-2008 06:16 PM
Error due to wxWidgets while installing aMule source package Unforgiven79 Linux - Desktop 3 03-24-2007 09:42 AM
Error when building Diomedes Linux - Software 5 10-04-2006 01:18 AM


All times are GMT -5. The time now is 08:14 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration